function [K,r] = D2_CST_temp (x1, y1, x2, y2, x3, y3, kx, ky, h, Q, Tinf, q)


% -------------------------------------------------------------------------
A = (0.5 * det([1 1 1; x1 x2 x3; y1 y2 y3]));
b1=y2-y3; b2=y3-y1; b3=y1-y2;
c1=x3-x2; c2=x1-x3; c3=x2-x1;
f1=x2*y3-x3*y2; f2=x3*y1-x1*y3; f3=x1*y2-x2*y1;

L12=sqrt((x2-x1)^2+(y2-y1)^2);
L23=sqrt((x3-x2)^2+(y3-y2)^2); 
L31=sqrt((x3-x1)^2+(y3-y1)^2);

Kk=1/(4*A)*[kx*b1^2+ky*c1^2    kx*b1*b2+ky*c1*c2  kx*b1*b3+ky*c1*c3;
            kx*b1*b2+ky*c1*c2  kx*b2^2+ky*c2^2    kx*b2*b3+ky*c2*c3;
            kx*b1*b3+ky*c1*c3  kx*b2*b3+ky*c2*c3  kx*b3^2+ky*c3^2];

rQ=Q*A/3*[1 1 1]';


Kh=h(1)*L12/6*[2 1 0;1 2 0;0 0 0] + h(2)*L23/6*[0 0 0;0 2 1;0 1 2] + h(3)*L31/6*[2 0 1;0 0 0;1 0 2];
rh=h(1)*Tinf(1)*L12/2*[1 1 0]' + h(2)*Tinf(2)*L23/2*[0 1 1]' + h(3)*Tinf(3)*L31/2*[1 0 1]';

rq=q(1)*L12/2*[1 1 0]' + q(2)*L23/2*[0 1 1]' + q(3)*L31/2*[1 0 1]';

K = Kk + Kh;
r = rQ + rh + rq;

