function fem_2_dynAnim3DbrickFrame( in_data, D,ind,dof_, XXX,YYY,ZZZ, NF) 

% -------------------------------------------------------------------------
figure(NF)
n_dof_node = 3;

title('Displacements from static loads');

maxX = max(in_data.ND(:,2)); minX = min(in_data.ND(:,2));
maxY = max(in_data.ND(:,3)); minY = min(in_data.ND(:,3));
maxZ = max(in_data.ND(:,4)); minZ = min(in_data.ND(:,4));

labx = (maxX / 3); laby = (maxY / 3); labz = (maxZ / 3);
labx = min([labx laby labz]); laby = labx;  labz=labx;

deN = max([XXX  YYY  ZZZ]);
dx = labx *D(1:3:dof_(1)) /deN;
dy = laby *D(2:3:dof_(1)) /deN;
dz = labz *D(3:3:dof_(1)) /deN;


ND_d = in_data.ND;
ND_d(:,2) = in_data.ND(:,2)+dx';
ND_d(:,3) = in_data.ND(:,3)+dy';
ND_d(:,4) = in_data.ND(:,4)+dz';

plot3(ND_d(:,2),ND_d(:,3),ND_d(:,4),'r.'); 
axis equal; axis off; hold on; view(3);

[qu] = fem_3_surfBrick(in_data.ND(:,2:end),in_data.EL(:,3:10));

for i=1:size(qu,1)
    patch([ND_d(qu(i,1),2) ND_d(qu(i,2),2) ND_d(qu(i,3),2) ...
        ND_d(qu(i,4),2)], ...
        [ND_d(qu(i,1),3) ND_d(qu(i,2),3) ND_d(qu(i,3),3) ...
        ND_d(qu(i,4),3)], ...
        [ND_d(qu(i,1),4) ND_d(qu(i,2),4) ND_d(qu(i,3),4) ...
        ND_d(qu(i,4),4)], ...
        [.5 .5 .5]);
end


axis([(minX-labx) (maxX+labx) (minY-laby) (maxY+laby) ...
      (minZ-labz) (maxZ+labz)]);
hold off;
