function [obj,Resp]=fem_0_run(in_data,type_analysis,obj,L,break_K,varargin)

% -------------------------------------------------------------------------
% FEM toolbox for solid mechanics.
% -------------------------------------------------------------------------
% -------------------------------------------------------------------------
% Author:        Anton Zaicenco <a.zaicenco@codedevelopment.net>
% Date started:  Aug 2004
% Latest update: May 2014
% -------------------------------------------------------------------------


Resp = 0; sp_=sprintf('\n');
disp([sp_ '****************** FEM started ******************']);
disp(['*************************************************']);

dPath = which ('tmp_dir.txt'); 
cd (dPath(1:end-11));
!time /t > tmp_dir.txt
tic;                 


[dofN] = fem_0_elemType (in_data);
dof_   = size(in_data.ND,1)*dofN;


if type_analysis(1)==1
    if  isfield(in_data,'T')
        [resp] = fem_1_heatFlow(obj,in_data,L,dofN,dof_,type_analysis, ...
                 break_K,varargin{1});
        Resp.static = resp.static;
    elseif size(in_data.LOAD_)~=0
        [resp] = fem_1_static(obj,in_data,L,dofN,dof_, ...
            type_analysis,break_K,varargin{1});
        Resp.static = resp.static;
    end;
end;

if type_analysis(2)==1
    if size(in_data.dynam.TIMEH)~=0
        [resp,t] = fem_1_mainDynamic(obj,in_data,L,dof_);
        Resp.dynamic = resp.dynamic;
    end;
end;

if type_analysis(3)==1
    if size(in_data.dynam.MODA)~=0 & size(in_data.dynam.DAMP_C)~=0
        resp = fem_1_mainModal(obj,in_data,L,dof_);
        Resp.modal = resp.modal;
    end;
end;

disp([sp_ '*************************************************']);
disp(['********************* END ***********************' sp_]);

